

html{
    /* font-size: 1.125em; */
}

body{
    /* the upscaled font-size */
    font-size: inherit;

    /* the small line-height */
    line-height: var(--lh-s);
    --lh: var(--lh-s);

    color: var(--clr-main);
    margin: 0;
}

@media (max-width: 36rem) {

    /* one size of text
    and back to the default one */
    :root{
      --fs-s: 0.9rem;
    }
    html{
      font-size: 1em;
    }
  
}

/* TEXT SETTING
  ========================================================================== */

.text-long{
    /* increase lh for long read */
    line-height: var(--lh-m);
    --lh: var(--lh-m);
}

.text-small{
    /* smaller font-size (still small lh) */
    font-size: var(--fs-s);
}


/* CONSTANT VERTICAL RYTHM
  ========================================================================== */

h1,h2,h3,h4,h5,h6{
    /* good respiration between section */
    margin: calc(var(--lh) * 3) 0 calc(var(--lh) * 1);

    font-weight: normal;
    font-size: 1rem;
}

h1 + h2,
h2 + h3,
h3 + h4,
h4 + h5,
h5 + h6{
    /* when a heading follow a heading less respiration */
    margin-top: 0;
}

p{
    margin: calc(var(--lh) * 1) 0; 
}
ul, ol{
    margin: calc(var(--lh) * 1) 0;
    padding-left: calc(var(--lh) * 1);
}

ul ul,
ul ol,
ol ul,
ol ol{
    /* cancel list margin when they are inside of each other */
    margin: 0 !important;
}

blockquote{
    margin: calc(var(--lh) * 1) 0;
    padding-left: var(--lh);
    border-left: var(--border);
}

blockquote p + ul,
blockquote p + ol{
    /* no spaces inside of a blockquote */
    margin-top: calc(var(--lh) * -1);
}

figure{
    margin: calc(var(--lh) * 1) 0 calc(var(--lh) * 2);
}
figcaption{
    /* out of the constant flow -> different size */
    font-size: var(--fs-s);
    line-height: var(--lh-s);
    margin-top: var(--lh-s);
    color: var(--clr-fade);
}

/* exceptions for first and last margins */
:is(h1,h2,h3,h4,h5,h6,p,ul,ol):first-child{
    margin-top: 0;
}
:is(h1,h2,h3,h4,h5,h6,p,ul,ol):last-child{
    margin-bottom: 0;
}

/* ARTICLES HEADER ANCHOR */
h1, h2, h3, h4, h5, h6{
    scroll-margin-top: calc(var(--lh) * 3);
}


/* List style
========================================================================== */

ul.comma-list{
    list-style: none;
    margin: 0; padding: 0;
}

ul.comma-list > li{
    display: inline-block;
}
ul.comma-list > li:not(:last-of-type)::after{
    content: ",\00a0";
}